HG(BRANCHES)

NAME
hg branches - list repository named branches

SYNOPSIS

hg branches [-c]

DESCRIPTION

List the repository's named branches, indicating which ones are inactive. If -c/--closed is specified, also list branches which have been marked closed (see hg commit --close-branch).

Use the command hg update to switch to an existing branch.

Template:

The following keywords are supported in addition to the common template keywords and functions such as {branch}. See also hg help templates.

active
    Boolean. True if the branch is active.

closed
    Boolean. True if the branch is closed.

current
    Boolean. True if it is the current branch.

    Returns 0.

OPTIONS

-a, --active
    show only branches that have unmerged heads (DEPRECATED)

-c, --closed
    show normal and closed branches

-r,--rev <VALUE[+]>
    show branch name(s) of the given rev

-T,--template <TEMPLATE>
    display with template

    [+] marked option can be specified multiple times